Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Interface PO

All Known Implementing Classes:
  POImpl

public interface PO
extends java.io.Serializable

Represents a purchase order that is to be communicated to supplier(s).

Method Summary
`java.util.Calendar` | `creationDate()` Returns the date this ``PO`` was created.
`java.lang.String` | `description()` Returns a description for the product supplied.
`java.lang.String` | `poNumber()` Returns the identifier for this purchase order.
`java.lang.String` | `productId()` Returns the identifier for the product supplied.
`java.util.Calendar` | `promiseDate()` Returns the date promised by the supplier.
`long` | `qty()` Returns the quantity of the product supplied.
`POStatus` | `status()` Returns the status of this ``PO``.
`java.lang.String` | `statusString()` Returns the status of this ``PO``.
`java.lang.String` | `supplierName()` Returns the name of the supplier associated with this ``PO``.
`Money` | `total()` Returns the total cost for the ``PO``.
`Money` | `unitPrice()` Returns the unit price for each item supplied.

Method Detail

### poNumber

    public java.lang.String poNumber()

  Returns the identifier for this purchase order.

### creationDate

    public java.util.Calendar creationDate()

  Returns the date this ``PO`` was created.

### status

    public POStatus status()

  Returns the status of this ``PO``. This value is generally one of Pending, Acknowledged, Shipped or Received.

### statusString

    public java.lang.String statusString()

  Returns the status of this ``PO``. This value is generally one of Pending, Acknowledged, Shipped or Received.

### supplierName

    public java.lang.String supplierName()

  Returns the name of the supplier associated with this ``PO``.

### productId

    public java.lang.String productId()

  Returns the identifier for the product supplied.

### description

    public java.lang.String description()

  Returns a description for the product supplied.

### qty

    public long qty()

  Returns the quantity of the product supplied.

### unitPrice

    public Money unitPrice()

  Returns the unit price for each item supplied.

### promiseDate

    public java.util.Calendar promiseDate()

  Returns the date promised by the supplier.

### total

    public Money total()

  Returns the total cost for the ``PO``.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved